%bcond_with bootstrap

Name:           maven-resolver
Epoch:          1
Version:        1.9.18
Release:        %mkrel 3
Group:          Development/Java
License:        ASL 2.0
Summary:        Apache Maven Artifact Resolver library
URL:            https://maven.apache.org/resolver/
BuildArch:      noarch
#ExclusiveArch:  %{java_arches} noarch

Source0:        https://archive.apache.org/dist/maven/resolver/%{name}-%{version}-source-release.zip

Patch0:         0001-Remove-use-of-deprecated-SHA-1-and-MD5-algorithms.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(com.google.inject:guice)
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(javax.servlet:javax.servlet-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.httpcomponents:httpcore)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-provider-api)
BuildRequires:  mvn(org.apache.maven:maven-model-builder)
BuildRequires:  mvn(org.apache.maven:maven-parent:pom:)
BuildRequires:  mvn(org.apache.maven:maven-resolver-provider)
BuildRequires:  mvn(org.codehaus.plexus:plexus-classworlds)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.codehaus.plexus:plexus-xml)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.inject)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.hamcrest:hamcrest)
BuildRequires:  mvn(org.hamcrest:hamcrest-core)
BuildRequires:  mvn(org.mockito:mockito-core)
BuildRequires:  mvn(org.slf4j:jcl-over-slf4j)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
%endif

Provides:       maven-resolver-api = %{epoch}:%{version}-%{release}
Obsoletes:      maven-resolver-api < 1:1.7.3
Provides:       maven-resolver-spi = %{epoch}:%{version}-%{release}
Obsoletes:      maven-resolver-spi < 1:1.7.3
Provides:       maven-resolver-impl = %{epoch}:%{version}-%{release}
Obsoletes:      maven-resolver-impl < 1:1.7.3
Provides:       maven-resolver-util = %{epoch}:%{version}-%{release}
Obsoletes:      maven-resolver-util < 1:1.7.3
Provides:       maven-resolver-connector-basic = %{epoch}:%{version}-%{release}
Obsoletes:      maven-resolver-connector-basic < 1:1.7.3
Provides:       maven-resolver-transport-wagon = %{epoch}:%{version}-%{release}
Obsoletes:      maven-resolver-transport-wagon < 1:1.7.3
Provides:       maven-resolver-transport-http = %{epoch}:%{version}-%{release}
Obsoletes:      maven-resolver-transport-http < 1:1.7.3
Provides:       maven-resolver-transport-file = %{epoch}:%{version}-%{release}
Obsoletes:      maven-resolver-transport-file < 1:1.7.3
Provides:       maven-resolver-transport-classpath = %{epoch}:%{version}-%{release}
Obsoletes:      maven-resolver-transport-classpath < 1:1.7.3

%description
Apache Maven Artifact Resolver is a library for working with artifact
repositories and dependency resolution. Maven Artifact Resolver deals with the
specification of local repository, remote repository, developer workspaces,
artifact transports and artifact resolution.

%{?javadoc_package}

%prep
%setup -q
%patch -P 0 -p1

# Skip tests that require internet connection
rm maven-resolver-supplier/src/test/java/org/eclipse/aether/supplier/RepositorySystemSupplierTest.java
rm maven-resolver-transport-http/src/test/java/org/eclipse/aether/transport/http/{HttpServer,HttpTransporterTest}.java
%pom_remove_dep org.eclipse.jetty: maven-resolver-transport-http

%pom_remove_plugin -r :bnd-maven-plugin
%pom_remove_plugin -r org.codehaus.mojo:animal-sniffer-maven-plugin
%pom_remove_plugin -r :japicmp-maven-plugin

%pom_disable_module maven-resolver-demos
%pom_disable_module maven-resolver-named-locks-hazelcast
%pom_disable_module maven-resolver-named-locks-redisson
%pom_disable_module maven-resolver-transport-classpath
%mvn_package :maven-resolver-test-util __noinstall

# generate OSGi manifests
for pom in $(find -mindepth 2 -name pom.xml) ; do
  %pom_add_plugin "org.apache.felix:maven-bundle-plugin" $pom \
  "<configuration>
    <instructions>
      <Bundle-SymbolicName>\${project.groupId}$(sed 's:./maven-resolver::;s:/pom.xml::;s:-:.:g' <<< $pom)</Bundle-SymbolicName>
      <Export-Package>!org.eclipse.aether.internal*,org.eclipse.aether*</Export-Package>
      <_nouses>true</_nouses>
    </instructions>
  </configuration>
  <executions>
    <execution>
      <id>create-manifest</id>
      <phase>process-classes</phase>
      <goals><goal>manifest</goal></goals>
    </execution>
  </executions>"
done
%pom_add_plugin "org.apache.maven.plugins:maven-jar-plugin" pom.xml \
"<configuration>
  <archive>
    <manifestFile>\${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
  </archive>
</configuration>"

%mvn_alias 'org.apache.maven.resolver:maven-resolver{*}' 'org.eclipse.aether:aether@1'
%mvn_alias 'org.apache.maven.resolver:maven-resolver-transport-wagon' 'org.eclipse.aether:aether-connector-wagon'
%mvn_file ':maven-resolver{*}' %{name}/maven-resolver@1 aether/aether@1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE


%changelog
* Fri May 17 2024 ns80 <ns80> 1:1.9.18-3.mga10
+ Revision: 2064651
- build without bootstrap

* Fri May 17 2024 ns80 <ns80> 1:1.9.18-2.mga10
+ Revision: 2064629
- full bootstrap build
- build without bootstrap

* Fri May 17 2024 ns80 <ns80> 1:1.9.18-1.mga10
+ Revision: 2064607
- bootstrap build
- new version 1.9.18 for java 21

* Sat Jul 30 2022 neoclust <neoclust> 1:1.7.3-7.mga9
+ Revision: 1873368
- Obsoletes old packages to help upgrade

* Mon Jul 25 2022 neoclust <neoclust> 1:1.7.3-6.mga9
+ Revision: 1871228
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 1:1.7.3-5.mga9
+ Revision: 1870743
- New version 1.7.3
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat May 30 2020 guillomovitch <guillomovitch> 1:1.4.2-1.mga8
+ Revision: 1589069
- new version 1.4.2

* Thu Mar 05 2020 daviddavid <daviddavid> 1:1.4.1-4.mga8
+ Revision: 1554080
- obsoletes old remaining aether-javadoc

* Tue Feb 18 2020 umeabot <umeabot> 1:1.4.1-3.mga8
+ Revision: 1538964
- Mageia 8 Mass Rebuild

* Wed Nov 27 2019 daviddavid <daviddavid> 1:1.4.1-2.mga8
+ Revision: 1463111
- add fedora patch to keep deprecated and removed aether CacheUtils
  for a while longer some packages still depend on this and things
  break without it

* Fri Nov 22 2019 guillomovitch <guillomovitch> 1:1.4.1-1.mga8
+ Revision: 1462131
- new version 1.4.1

* Wed Jul 17 2019 daviddavid <daviddavid> 1:1.3.3-1.mga8
+ Revision: 1422176
- Update to upstream version 1.3.3

* Sun Apr 21 2019 daviddavid <daviddavid> 1:1.1.1-3.mga7
+ Revision: 1394510
- obsolete aether-ant-tasks-javadoc

* Wed Oct 24 2018 wally <wally> 1:1.1.1-2.mga7
+ Revision: 1324993
- add provides for obsoleted aether pkgs

* Thu Oct 04 2018 guillomovitch <guillomovitch> 1:1.1.1-1.mga7
+ Revision: 1317329
- imported package maven-resolver

